Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.mohm.common.v7
Class ApplicationBTCAdditionalAllowanceType

    java.lang.Object
      be.vlaanderen.mercurius.mohm.common.v7.ApplicationBTCAdditionalAllowanceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:10:04+02:00",
               comments="JAXB RI v2.3.6")
    public class ApplicationBTCAdditionalAllowanceType

extends Object
implements Serializable

Generiek type voor de BTC bijkomende tegemoetkomingen.

Java class for ApplicationBTCAdditionalAllowanceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ApplicationBTCAdditionalAllowanceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="Description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ApplicationBTCAdditionalAllowanceType()`

Method Summary
`BigDecimal` | `getAmount()` Gets the value of the amount property.
`String` | `getCareServiceCode()` Gets the value of the careServiceCode property.
`String` | `getDescription()` Gets the value of the description property.
`void` | `setAmount(BigDecimal value)` Sets the value of the amount property.
`void` | `setCareServiceCode(String value)` Sets the value of the careServiceCode property.
`void` | `setDescription(String value)` Sets the value of the description property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ApplicationBTCAdditionalAllowanceType

    public ApplicationBTCAdditionalAllowanceType()

Method Detail

### getCareServiceCode

    public String getCareServiceCode()

  Gets the value of the careServiceCode property.

  Returns:
    possible object is `String`

### setCareServiceCode

    public void setCareServiceCode(String value)

  Sets the value of the careServiceCode property.

  Parameters:
    `value` - allowed object is `String`

### getDescription

    public String getDescription()

  Gets the value of the description property.

  Returns:
    possible object is `String`

### setDescription

    public void setDescription(String value)

  Sets the value of the description property.

  Parameters:
    `value` - allowed object is `String`

### getAmount

    public BigDecimal getAmount()

  Gets the value of the amount property.

  Returns:
    possible object is `BigDecimal`

### setAmount

    public void setAmount(BigDecimal value)

  Sets the value of the amount property.

  Parameters:
    `value` - allowed object is `BigDecimal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.